#include "common.h"

// String representation of SpeedSource enum
const char *SpeedSourceString[] = {
#ifdef FEATURE_ENABLE_TIMER
    "Timer",
#endif
    "Impuls",
    "GPS",
    "CAN-Bus"
    };

const size_t SpeedSourceString_Elements = sizeof(SpeedSourceString) / sizeof(SpeedSourceString[0]);

// String representation of GPSBaudRate enum
const char *GPSBaudRateString[] = {
    "4800",
    "9600",
    "19200",
    "38400",
    "57600",
    "115200"
    };

const size_t GPSBaudRateString_Elements = sizeof(GPSBaudRateString) / sizeof(GPSBaudRateString[0]);

// String representation of CANSource enum
const char *CANSourceString[] = {
    "KTM 890 Adventure R (2021)",
    "KTM 1290 Superduke R (2023)"};

const size_t CANSourceString_Elements = sizeof(CANSourceString) / sizeof(CANSourceString[0]);